
Base Language - Bug #1969

buffer names in get-signature

01/21/2013 03:31 AM - Constantin Asofiei

Status: Closed Start date: 07/22/2013

Priority: Normal Due date: 07/24/2013

Assignee: Constantin Asofiei % Done: 100%

Category:  Estimated time: 6.00 hours

Target version: Runtime Support for Server Features   

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to Base Language - Feature #1920: implement persistent procedures Closed

History

#1 - 01/21/2013 03:32 AM - Constantin Asofiei

In collect_names.rules, when collecting the name of the buffer from a BUFFER FOR <buf-name> parameter, the name must be taken from the

location where the buffer was defined (idea is, it must use the same case sensitivity as the location where was first defined, as this is how is displayed

in the signature)

#2 - 04/12/2013 04:46 AM - Constantin Asofiei

- Estimated time set to 6.00

The unknown part at this time is how the schema can be interogated to get the original buffer name. I expect we already have something for this, but

I'm not sure which workers provide this. Estimate 6 hours to complete.

Note that the temp-table names in TABLE parameters should be checked too.

#3 - 05/02/2013 12:01 AM - Eric Faulhaber

- Start date set to 07/22/2013

- Due date set to 07/24/2013

- Assignee set to Eric Faulhaber

- Target version set to Milestone 7

#4 - 01/16/2014 08:43 AM - Constantin Asofiei

- Status changed from New to WIP

- % Done changed from 0 to 90

- File ca_upd20140115a.zip added

- Assignee changed from Eric Faulhaber to Constantin Asofiei

Attached update fixes the BUFFER and TABLE parameter names reported by GET-SIGNATURE.

The legacy, case-sensitive name, is saved at the .dict AST, in a legacy-name annotation, for each table (temp or perm).
#5 - 01/16/2014 08:43 AM - Constantin Asofiei

- Status changed from WIP to Review

PS: conversion testing has passed, runtime testing is not needed.

#6 - 01/16/2014 09:25 AM - Greg Shah

Code Review 0115a

1. The SchemaDictionary lowercases the name before it saves off the legacy_name annotation, but schema.g saves off the legacy_name annotation

before it lowercases the name.  Is this correct?

2. SchemaWorker copyright date needs update.

#7 - 01/16/2014 10:03 AM - Constantin Asofiei

- File ca_upd20140116b.zip added

Greg Shah wrote:

1. The SchemaDictionary lowercases the name before it saves off the legacy_name annotation, but schema.g saves off the legacy_name

annotation before it lowercases the name.  Is this correct?

 

I think you missed something in the SchemaDictionary change: the code which saves the legacy_name annotation uses an unmodified backup of the

original name (saved in the legacyName variable).

2. SchemaWorker copyright date needs update.

 

Fixed in attached update.

#8 - 01/16/2014 10:06 AM - Greg Shah

I think you missed something in the SchemaDictionary change:

 

You're right, I missed that.  Sorry.

I'm fine with the changes.  You can check in and distribute the 0116b update.
#9 - 01/16/2014 10:36 AM - Constantin Asofiei

Committed to bzr revision 10440.

#10 - 01/16/2014 10:50 AM - Greg Shah

- % Done changed from 90 to 100

- Status changed from Review to Closed

#11 - 11/16/2016 11:42 AM - Greg Shah

- Target version changed from Milestone 7 to Runtime Support for Server Features

Files

ca_upd20140115a.zip 67.6 KB 01/16/2014 Constantin Asofiei

ca_upd20140116b.zip 67.6 KB 01/16/2014 Constantin Asofiei
